<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.scytl.products.ov.channel.vv</groupId>
		<artifactId>vote-verification</artifactId>
		<version>2.1.7</version>
	</parent>

	<groupId>com.scytl.products.ov.channel.vv.services</groupId>
	<artifactId>vote-verification-services</artifactId>
	<packaging>jar</packaging>
	<name>Online Voting - Vote Verification - Services</name>

    <dependencies>
        <!-- Local dependencies -->
        <!-- OV Commons -->
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
            <artifactId>ov-commons-lib-persistence</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-beans</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-infrastructure</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-dto</artifactId>
        </dependency>
		<!-- JPA Service provider -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.math</groupId>
			<artifactId>scytl-math</artifactId>
			<version>${scytl-math.version}</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<profiles>
		<profile>
			<id>skipTestRun</id>
			<activation>
				<property>
					<name>skipTests</name>
					<value>!true</value>
				</property>
			</activation>
			<dependencies>
				<dependency>
					<groupId>com.scytl.products.ov.channel.commons.lib</groupId>
					<artifactId>ov-commons-lib-persistence</artifactId>
					<version>${project.version}</version>
					<type>test-jar</type>
					<scope>test</scope>
				</dependency>
			</dependencies>
		</profile>
	</profiles>
</project>
